Camelia, the Perl 6 bug

IRC log for #padre, 2013-05-07

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
03:39 sewi joined #padre
06:30 Di-ima joined #padre
06:51 dod joined #padre
07:03 dod joined #padre
08:05 przemek joined #padre
08:36 daxim joined #padre
08:47 ServerSage joined #padre
08:51 przemek joined #padre
08:57 przemek left #padre
10:25 sugar_ joined #padre
10:58 przemek joined #padre
11:26 bowtie joined #padre
11:27 daxim joined #padre
12:46 dod bowtie: how come the dependencies of debug-client are so strict ? I mean, Debug::Client requires Carp 1.26... That's provided only from Perl 5.16
12:47 dod which rules out Perl 5.14 :-(
13:05 abraxxa joined #padre
13:06 abraxxa i'm not able to upgrade Padre from 0.96 to 0.98 because Wx update fails because it can't find the libs
13:07 abraxxa i have all the -dev packages in my Ubuntu 13.04 installed
13:10 abraxxa perl Makefile.PL of the Wx dist fails but without a useful error message
13:13 bowtie dod, hi, I have been trying to solve issues with D-C and IP, also win32 issues, so I bumped all to current, I will drop Carp for you, to what version do you want?
13:15 bowtie as part of #1494 if any of you can do the following it would be great
13:15 bowtie cpan -t BOWTIE/Debug-Client-0.25_04.tar.gz
13:15 dod Well, I need Debug-client to work with perl 5.14.
13:16 dod I can patch the current version to that effect
13:16 bowtie if you have cpan reporter set up I will view in normal way, if not please add attachment to #1494 thanks
13:18 bowtie abraxxa, if I recall these are the dependencies libwxbase2.8-0 libwxgtk2.8-0 libwxbase2.8-dev libwxgtk2.8-dev libgtk2.0-dev
13:18 bowtie see -> http://padre.perlide.org/trac/wiki/DownloadUbuntu
13:18 abraxxa bowtie: yes, i have them all installed
13:18 abraxxa i've upgraded my Ubuntu from 12.10 to 13.04 recently and had all of these installed before
13:19 bowtie abraxxa, I am eager to help as I was planning of doing the same this coming weekend :)
13:20 dod bowtie: I will relax the dependency version and see what breaks
13:20 dod abraxxa, bowtie: I've updated libwx-perl on Debian. This should go in Ubuntu quite soon
13:21 abraxxa dod: i have a perlbrewed perl, so no dist perl packages installed
13:21 dod ok
13:21 bowtie dod, when you have a version I will add it to D-C-0.25_05 for testing :)
13:22 abraxxa bowtie: i wasn't able to figure out what the Makefile.PL does that fails
13:22 bowtie abraxxa, do you want to nopast it, and I will take a peek
13:23 dod bowtie: Result: PASS  BOWTIE/Debug-Client-0.25_04.tar.gz (then again, a lot of modules were installed by cpan :-/ )
13:24 bowtie abraxxa, you could also try doing make test or prove against Padre trunk, it might be easer, as you can then do prove -lv against a specfic test
13:24 abraxxa bowtie: i don't come that far as it stops on the missing Wx dependency
13:25 bowtie abraxxa, have you considered asking MarkD, I would suggest sending him an e-mail
13:25 shadowpaste "abraxxa" at 217.168.150.38 pasted "Wx update failure on Ubuntu 13.04 64bit" (10 lines) at http://paste.scsys.co.uk/246648
13:26 bowtie dod, did you run the test or just install
13:27 bowtie abraxxa, what is output from 'cpan Padre'
13:28 abraxxa bowtie: the same
13:28 bowtie abraxxa, what about perl Makefile.Pl against padre trunk
13:28 bowtie s/l/L/
13:28 * abraxxa wins
13:29 abraxxa i've reinstalled Alien::wxWidgets
13:29 abraxxa it seems to cache some info and the dist upgrade broke that
13:29 abraxxa might be worth a wiki entry
13:29 abraxxa the wiki already mentions it way down: Force-install Alien::wxWidgets. (This didn't work for me for some reason.)
13:30 bowtie abraxxa, I have had some issues with, Alien::wxWidgets, and the threded bits not being updated in past, suggest that you rip all Alien::wxWidgets from your perlbrew and reinstall from scratch, ps pm-uninstall don't work with perl modules that have threded bits
13:32 abraxxa bowtie: i'll reinstall my perl when 5.18.0 is released
13:32 abraxxa i still run 5.16.2 in my notebook
13:32 bowtie the way to check it's install correctly, is to repeat install, if it trys to install it's F***ed
13:33 bowtie abraxxa, you don't need to re install perl, just delete the Alien::wxWidgets modules
13:33 bowtie you will have to do it manually
13:35 bowtie abraxxa, that won't help as one of Padres deps is not %hash safe :( it affects pod, so you can force if you want :)
13:36 dod bowtie: I've just run the cpan -t command you provided.
13:36 bowtie dod, thanks, I will read the report later
13:36 abraxxa bowtie: what won't work? installing 5.18.0?
13:38 bowtie abraxxa, POD::Pom won't install perl 5.17.10 + hash issue
13:39 bowtie abraxxa, just for you -> https://rt.cpan.org/Public​/Bug/Display.html?id=81707
13:39 abraxxa still not fixed?
13:40 abraxxa bowtie: thanks for the hint
13:40 bowtie abraxxa, Andrew has agreed to look at the issues when it affects live code
13:42 abraxxa the p5p guys tested whole cpan to find modules that break and reported the bug to each one, sad to see an author to not fix it in month
13:44 dod bowtie: I don't have Test::Reporter installed.
13:47 bowtie dod, can you attach to #1494 please, and thanks
13:47 dod attach what ?
13:48 bowtie dod, output of cpan -t BOWTIE/Debug-Client-0.25_04.tar.gz
13:48 abraxxa bowtie: i've updated Wx and now Padre perl Makefile.PL fails with Unparsable version '6,59' for prerequisite ExtUtils::MakeMaker at inc/Module/Install/Makefile.pm line 352.
13:49 abraxxa i remember having that issue with my non en locale in the past
13:49 bowtie abraxxa, bump to 6.66
13:49 abraxxa cpanp o doesn't show an update
13:49 bowtie abraxxa, see ExtUtils::MakeMaker change log
13:49 abraxxa i guess it's fucked again with all those useless @INC dirs
13:50 abraxxa best is to reinstall perl every three month...
13:51 bowtie abraxxa, I started with cpan did not get it went to cpanp and was kicked by all to move back to cpan, which is where I am now with reports turned on
13:53 abraxxa doesn't make a difference
13:53 dod bowtie: done
13:54 bowtie dod, thanks
13:56 bowtie dod, I think that some of the *inux, term-readline-perl dos not work, and need to use term-readline-gnu, but I am aware that might be an issue for some users to install as it will require external dev files
14:12 sewi Don't really know what's going on, but there is at least one Pure-Perl Readline
14:14 bowtie sewi, yes, term-readline-perl, but it is not very happy on all *inux,
14:15 bowtie sewi, esp darwin -> term-readline-gnu
14:18 przemek joined #padre
14:29 dod bowtie: IIRC, term-readline-perl works fine, at least on Debian
14:30 bowtie dod, yes but not all *inux
14:32 bowtie dod, from #1494 there is an issue with darwin :(
15:07 bowtie dod, the verbose t/06-term.t in D-C-0.25_04 is to try and identify any other inux that have the same issue
15:08 bowtie dod, any concerns with the versions for ( Exporter,  Carp, constant )
15:11 kaare joined #padre
15:19 dod bowtie: Probably not. All tests pass on Debian/sid except t/01-compile.t (which is expected given the deps you've declared)
15:42 przemek joined #padre
16:30 abraxxa left #padre
16:51 dolmen left #padre
17:37 dod joined #padre
17:44 sh0ne joined #padre
17:45 sh0ne Hello, folks. Where can I get binary package of Padre (so it doesn't need to be compiled)?
17:56 przemek joined #padre
18:11 rindolf joined #padre
18:15 bowtie sh0ne, hi
18:16 sh0ne Hello, bowtie
18:16 sh0ne I'am trying to install Padre from CPAN right now :)
18:21 bowtie sh0ne, that's good
18:21 sh0ne :)
18:22 bowtie sh0ne, what os
18:23 sh0ne I tried it first already but the problem was that I had my own copy of mingw so it didn't use the one that comes with strawberry perl and it gave me errors. Windows 7 (x86)
18:33 przemek joined #padre
18:52 bowtie sh0ne, working now?
19:25 sewi joined #padre
20:03 przemek joined #padre
20:14 dod joined #padre
21:25 sh0ne bowtie: unfortunately no...make test fails
21:35 przemek joined #padre
21:44 sh0ne bowtie: and here is the complete process output http://pastebin.ca/2375938 . NOTE: Windows 7 Ultimate (32bit), Strawberry Perl 5.16.3.1 (32bit - default install), installing Padre from Command Prompt (as Administrator) using 'cpan Padre'.
21:55 bowtie sh0ne, ok just read, t/12_mime.t ................ 381/758, can you run cpan Padre and confirm that it is 12_mime.t that has an issued
21:59 sh0ne bowtie: yes, here is the output: http://pastebin.ca/2375962
22:02 sh0ne hmm, now it seems it is  t/12_mime.t ................ 1/758
22:03 bowtie sh0ne, Q have you got svn install
22:04 sh0ne how do you mean? I don't have SVN installed on my computer.
22:06 bowtie sh0ne, it was just a Q, I just looked at the test code, and the last mode was svn related, as Padre is in a svn VCS, so all Padre devs us svn, hence Q
22:07 sh0ne I'am sorry but what do you mean by Q? What is it?
22:08 bowtie sh0ne, Q == question
22:09 bowtie sh0ne, you can 'cpan -f -i Padre' for now, which should solve the issue
22:10 sh0ne ok, thank you....so it is problem with my system, right?
22:11 bowtie sh0ne, I don't think so, I think its a failing test, and need to ask a Padre win32 dev to take a look
22:11 sh0ne bowtie: alright, thank you so much for your help, i really appreciate it.
22:12 bowtie sh0ne, can you nopaste the contents of Help -> About -> Info so I can raise a ticket
22:26 sh0ne bowtie: here it is http://pastebin.ca/2375989
22:30 bowtie sh0ne, -> http://padre.perlide.org/trac/ticket/1504
22:31 sh0ne bowtie: great, thank you for that. I'll check that from time to time.
22:34 bowtie sh0ne, take a look at -> http://padre.perlide.org/trac/wiki/Plugins
22:38 sh0ne bowtie: good, I'll check that out. Good night 'till tomorrow.

| Channels | #padre index | Today | | Search | Google Search | Plain-Text | summary